
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>码农如何快速打造一个有设计感的网站 / iVAN</title>

    <meta name="description" content="码农如何快速打造一个有设计感的网站 注:拥有属于自己的网站是很多人的梦想,但大多数人只能借助像 WordPress 这样的 CMS 实现,甚至很多公司网站也是这样.但这些网站大多数看起来都比较缺乏设计感,通俗来讲就是有点&quot;土&quot;.那么对于像程序员以及其他对设计比较小白们来说,如何能让你的网站看起来更加前卫,有范,有设计感呢?极客公园编译了 24WAYS 的文章 How to Make Your Site Look Half-Decent in Half an Hour 为您提供解决方法. 像我这样的程序员来说经常 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">码农如何快速打造一个有设计感的网站</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<blockquote><p>注：拥有属于自己的网站是很多人的梦想，但大多数人只能借助像 WordPress 这样的 CMS 实现，甚至很多公司网站也是这样。但这些网站大多数看起来都比较缺乏设计感，通俗来讲就是有点“土”。那么对于像程序员以及其他对设计比较小白们来说，如何能让你的网站看起来更加前卫，有范，有设计感呢？极客公园编译了 24WAYS 的文章 <a href="http://24ways.org/2012/how-to-make-your-site-look-half-decent/" rel="external nofollow noreferrer">How to Make Your Site Look Half-Decent in Half an Hour</a> 为您提供解决方法。</p></blockquote>
<p>像我这样的程序员来说经常被“设计”这个词吓到，因为我是一名程序员而不是设计师，我拥有的是计算机学位证，另外我对 Comic Sans 字体并不介意。（注：Comic Sans 字体是 Win95 附带的一种漫画字体，设计行业极为排斥，设计师或那些拥有美学情结的人不屑与之为伍。更多查看这篇<a href="http://www.douban.com/note/259659900/" rel="external nofollow noreferrer">为什么不要使用 Comic sans 字体</a>）</p>
<p>虽然只是一名程序员，但我还是想让自己的网站看起来更加吸引人，一方面出于虚荣，因为这样可以显得我更加“专业”，而另一方面是出于现实，因为<a href="http://www.sciencedirect.com/science/article/pii/S0306457307000568" rel="external nofollow noreferrer">研究机构调查发现</a>用户会更加信任那些网站“看起来”很好的网站。但是因为很长时间一直从事的是编程工作，对设计并不是熟悉，甚至害怕，因为在我这个外行看来设计是由很多只能感受不能言传身教的规则以及所谓的设计感悟组成的，知识壁垒比较高。</p>
<p>但是不久之前我决定要尽我最大努力让我网站看起来显得更加专业一点，即使比不上真正由设计师操刀做出来的效果，但对像我这种没有设计能力的人来说还是很有帮助的。</p>
<h2>1. 使用 Bootstrap</h2>
<p>如果你还没有使用 <a href="http://twitter.github.com/bootstrap/" rel="external nofollow noreferrer">Bootstrap</a> 的话那么赶紧开始吧，这个来自 Twitter 的开源项目使得网站设计真正进入大众化时代。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwNXptbWV5bnY1NTQ0bnExOXQucG5n.jpg"></p>
<p>本质上 Bootstrap 是一种隔栅系统，由两名 twitter 员工 <a href="http://www.ituring.com.cn/article/1123" rel="external nofollow noreferrer">Mark Otto 和 Jacob Thornton</a> 开发的开源前端框架[注：想了解更多请查看<a href="http://www.zhihu.com/question/19821825" rel="external nofollow noreferrer">什么是 Twitter Bootstrap？</a>]，它集成了很多 CSS 样式的合集，可以帮助那些不懂或者不擅长 CSS 的开发人员快速的建立一个外观看起来很不错的网站。</p>
<p>使用 Bootstrap 的另一个好处就是网站本身就是自适应的（Responsive），可以省去各种为移动设备等的适配工作。此外，Bootstrap 还是<a href="http://twitter.github.io/bootstrap/customize.html" rel="external nofollow noreferrer">可定制</a>的，可以根据你的需求自己配置。(注：英文不好的可以查看<a href="http://wrongwaycn.github.io/bootstrap/docs/index.html" rel="external nofollow noreferrer">中文版的 Bootstrap 文档</a>或 <a href="http://www.bootcss.com/" rel="external nofollow noreferrer">Bootstrap中文网</a>)</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwNzk4ZXB4NHA4ODd3d3g5YTQucG5n.jpg"></p>
<h2>2. Bootstrap 定制指南</h2>
<p>决定使用 Bootstrap 是迈出的重要一步，相比其他可以在前端开发上节省很多精力，但有利有弊，如果你决定使用 Bootstrap 的话就意味着很有可能会和其他人“撞框架”，就像默认的 WordPress 皮肤一样，如果大家都完全用 Bootstrap 的样式的话，会让不少见得多的人心生厌烦。</p>
<p>所以，如果实在抽不出时间的话可以去<a href="https://wrapbootstrap.com/" rel="external nofollow noreferrer">Wrap Bootstrap</a>购买一份主题皮肤，这些主题皮肤都是由专业的设计师设计的，虽然不会成为唯一定制的，但已经看起来相当不错了，而且这种方法是最快速的。接下来就是以 <a href="http://twitter.github.io/bootstrap/examples/marketing-narrow.html" rel="external nofollow noreferrer">Narrow marketing</a> 这个模板(下图)为例教你如何自己定制一份完全属于你自己的 Bootstrap 。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwN3A0dHhjYWdzZTZ6NTZuNnIucG5n.jpg"></p>
<h3>一. 字体</h3>
<p>修改网页字体是让网站看起来更有特色、有现代感的捷径，我们可以去<a href="https://www.google.com/fonts/" rel="external nofollow noreferrer">谷歌的字体服务</a>（免费正版）中随意挑选自己喜欢的字体，但是要注意字体间的搭配，在这里我们选择由 <a href="http://designshack.net/articles/css/10-great-google-font-combinations-you-can-copy/" rel="external nofollow noreferrer">DesignShack 推荐的谷歌字体搭配</a>中的一种：Cardo（用于标题） 和 Nobile（用于主体内文）。</p>
<ol>
<li>在网页头部中加入此代码：</li>
<li>在 CSS 样式表 custom.css 中加入以下代码：h1, h2, h3, h4, h5, h6 {font-family: 'Corben', Georgia, Times, serif;} p, div {font-family: 'Nobile', Helvetica, Arial, sans-serif;}</li>
</ol>
<p>添加完后刷新即可查看效果了，现在我们的网站样式已经变成下面这样了，看起来比默认好多了。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwN2IxbmRrbXAyY2Jja2RwZGIucG5n.jpg"></p>
<p>此外，除了谷歌的字体服务外还可以使用像 <a href="http://fontdeck.com/" rel="external nofollow noreferrer">Fontdeck</a>或 <a href="https://typekit.com/" rel="external nofollow noreferrer">Typekit</a> 字体服务，它们的字体更多，更多的字体搭配方案可以参考<a href="http://www.typeconnection.com/" rel="external nofollow noreferrer">Type Connection</a>。</p>
<h3>二. 纹理</h3>
<p>知道如何让一个网站看起来更加高雅优雅一些吗？是的，纹理。就像 24WAY 的背景纹理一样。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwOGpicjBycmNuYjF5OHp5eXQucG5n.jpg"></p>
<p>但是这些纹理效果应该去哪里寻找呢？设计师 Atle Mo 的 <a href="http://subtlepatterns.com/" rel="external nofollow noreferrer">Subtle Patterns</a> 网站是个不错的去处，我们接下来就使用这个网站上的 <a href="http://subtlepatterns.com/cream_dust/" rel="external nofollow noreferrer">Cream Dust</a> 纹理。点击下载，将纹理图片保存到本地，然后放到根目录下的 /img/ 目录文件夹中，最后到 CSS 样式表中加入代码 body { background: url(/img/cream_dust.png) repeat 0 0;} 即可。(如果需要更多样式的纹理或纹理的其他用法的话可以看看 Smashing 的<a href="http://www.smashingmagazine.com/2011/10/03/whys-hows-textures-web-design/" rel="external nofollow noreferrer">这篇文章</a>)</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwOGFqMzMzajRyMWYzcDF6bXAucG5n.jpg"></p>
<p>添加纹理前后对比(<a href="http://www.geekpark.net/uploads/reading/seed/58083144a5dd4f7f83d78b82a62062fb.png" rel="external nofollow noreferrer">大图</a>)</p>
<h3>三. 图标</h3>
<p>这里的图标并不是指那些透明的 PNG 图片图标，而是图标字体，其加载方式和字体一样，由 CSS 样式控制，比起图片图标来说这种图标字体加载速度更加，对资源的消耗也更低。在去年 24WAY 曾经有一篇<a href="http://24ways.org/2011/displaying-icons-with-fonts-and-data-attributes/" rel="external nofollow noreferrer">如何在网站中使用图标字体</a>的文章。</p>
<p>对于 Bootstrap 框架来说，整合的图标字体是<a href="http://fortawesome.github.com/Font-Awesome/" rel="external nofollow noreferrer">Font Awesome</a>(<a href="https://www.shifticons.com/" rel="external nofollow noreferrer">Shifticons</a>也是一个不错的选择)，和谷歌的字体服务一样也是免费开源的。要使用它只需将其下载下来，然后在根目录下创建 /fonts/ 文件夹，将其放进去。然后再将 font-awesome.css 文件放到 /css/ 目录文件夹。</p>
<p>接着将引用写入网页头部中，代码为 ，这时候我们可以随时在网站上任意地方自由使用这些图标字体了，如要想将一个卡车图标添加到注册按钮的话只需声明一下就可以，<a href="http://www.geekpark.net/read/view/176891" rel="external nofollow noreferrer">Sign up today</a>。同时为了防止加入图标字体后引起按钮拉伸变形，还需要一点点额外的工作，将按钮宽度加大一点（.jumbotron .btn i { margin-right: 8px; }）。最后效果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwOGFhdzE5YjVhODJkZG9uNGQucG5n.jpg"></p>
<h3>四. CSS3</h3>
<p>将上面都搞定后接下来要做的就是再加点 CSS3 特效了，如果时间不够的话简单的添加上盒阴影<a href="https://developer.mozilla.org/en-US/docs/CSS/box-shadow" rel="external nofollow noreferrer">box-shadow</a>和字体阴影<a href="https://developer.mozilla.org/en-US/docs/CSS/text-shadow" rel="external nofollow noreferrer">text-shadow</a>就可以让网站增色不少，CSS 代码如下。</p>
<p>h1 { text-shadow: 1px 1px 1px #ccc; } .div-that-you want-to-stand-out { box-shadow: 0 0 1em 1em #ccc; }</p>
<p>如果时间足够的话还可以添加一个<a href="http://www.colorzilla.com/gradient-editor/" rel="external nofollow noreferrer">放射渐变填充效果</a>，可以让标题的显示效果更重一些，如下面对比图所示。(如果想要更多 CSS 效果的话可以去学习一下 CodeSchool 的<a href="http://www.codeschool.com/courses/functional-html5-css3" rel="external nofollow noreferrer">在线教程</a>)</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwOHBxMHY2MTc2NHBtYnBwbHAucG5n.jpg"></p>
<h3>五. jQuery</h3>
<p>其实到这里了话网站看起来已经很不错了，但为了让它更加个性化，还需要再添加上一张背景图片。对很多程序员来说这一步是比较难以进行的，那么应该如何选择一张设计师可能会使用的图片呢？答案就是去<a href="http://istockphoto.com/" rel="external nofollow noreferrer">iStockPhoto</a>或类似的付费图库中去寻找。</p>
<p>这里我们将使用 <a href="http://www.istockphoto.com/stock-photo-1240825-winter-sun-v.php" rel="external nofollow noreferrer">Winter Sun</a> 这张照片，为了让网站保持自适应布局，还需要使用 <a href="http://graphicdesign.stackexchange.com/questions/2422/make-image-partially-transparent-in-gimp" rel="external nofollow noreferrer">Backstretch</a> 这个 jQuery 插件让背景图可以随时自动调整大小。</p>
<ol>
<li>首先需要付费下载背景图片，然后放到 /img/ 文件目录中去。</li>
<li>将此图片设置为的背景图(background-image): $.backstretch("/img/winter.jpg");</li>
<li>加入背景图后网页主题部分会产生遮挡，所以可以让其透明，这样网站效果看起来会更加现代、有设计感。这里可以使用<a href="http://graphicdesign.stackexchange.com/questions/2422/make-image-partially-transparent-in-gimp" rel="external nofollow noreferrer">这个技巧</a>将网站变得透明，代码见右边，.container-narrow {background: url(/img/cream_dust_transparent.png) repeat 0 0;}</li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwOGd3dmdza2I2c2tocTJzd2IucG5n.jpg"> 效果</p>
<h3>六. 色调</h3>
<p>到这几乎差不多已经完成调整了，但如果你够细心的话会发现按钮以及导航菜单的颜色还是 Bootstrap 默认的蓝色系。在有着设计师存在网站，设计师都会负责进行网站色调的调整，为了保证网站的一致性，所有按钮和导航一般是三到四种颜色(更多可以查看极客公园之间的文章<a href="http://www.geekpark.net/read/view/173417" rel="external nofollow noreferrer">小按钮大学问</a>)。</p>
<p>在这里，虽然不可能像大公司网站那样取色严谨，但还是有一些快速的方法使网站看起来很搭配的。</p>
<ol>
<li>使用 GIMP 的<a href="http://graphicssoft.about.com/od/gimptutorials/a/color-picker.htm" rel="external nofollow noreferrer">取色器</a>读取背景图片的主题颜色，确认其 GBR 十六进制值；</li>
<li>使用 <a href="http://colorschemedesigner.com/" rel="external nofollow noreferrer">Color Scheme Designer</a>确认与差异大但同时又互补的颜色；</li>
<li>最后根据确定的颜色来制定按钮，可以用[Bootstrap Buttons][]等在线直接生成。</li>
</ol>
<p>这样首页上那个大大的注册按钮就搞定了，接下来是修改导航菜单的颜色，这个比较简单，写入代码 .nav-pills &gt; .active &gt; a, .nav-pills &gt; .active &gt; a:hover {background-color: #FF9473;} 即可。看看咋样。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA0LzIzLzIyMDUwOXJ2amFrYThrbThtdGdjamsucG5n.jpg"></p>
<h2>结语</h2>
<p>如果经历过了上面所说的流程的话，相信你已经可以在比较短的时间内制作出了一个还能拿得出手的网站了。</p>
<p><b>原文发布时间为：2013-04-23</b></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 21:23:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%91%98/" title="程序员">程序员</a>, <a href="https://www.iamivan.net/tag/css/" title="css">css</a>, <a href="https://www.iamivan.net/tag/bootstrap/" title="bootstrap">bootstrap</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>码农如何快速打造一个有设计感的网站的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oYKqb.html" rel="bookmark">程序猿如何快速打造一个有设计感的网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  像我这样的程序员来说经常被&quot;设计&quot;这个词吓到,因为我是一名程序员而不是设计师,我拥有的是计算机学位证,另外我对 Comic Sans 字体并不介意.(注:Comic Sans 字体是 Win95 附带的一种漫画字体,设计行业极为排斥,设计师或那些拥有美学情结的人不屑与之为伍) 虽然只是一名程序员,但我还是想让自己的网站看起来更加吸引人,一方面出于虚荣,因为这样可以显得我更加&quot;专业&quot;,而另一方面是出于现实,因为研究机构调查发现用户会更加信任那些网站&quot;看起			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWVPeM.html" rel="bookmark">教你快速打造一个有设计感的网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于好多程序员来说,经常被&quot;设计&quot;这个词吓到,因为Ta是一名程序员而不是设计师,拥有的是计算机学位证,另外对 Comic Sans 字体并不介意.(注:Comic Sans 字体是 Win95 附带的一种漫画字体,设计行业极为排斥,设计师或那些拥有美学情结的人不屑与之为伍.更多查看这篇为什么不要使用 Comic sans 字体) 虽然只是一名程序员,但还是想让自己的网站看起来更加吸引人,一方面出于虚荣,因为这样可以显得更加&quot;专业&quot;,而另一方面是出于现实,因为研究机构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEB8wp.html" rel="bookmark">如何快速实现一个基于Nginx的网站监控场景----需求篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一切从应用服务监控说起 小明所在的一家小型互联网创业公司一直将应用运行在国内某A云上.该应用采用通用的分布式Nginx+App架构为用户提供电商数据统计的webservice 服务.应用运行至今除偶发各类Bug, 性能问题以外,情况还算良好.   最近,小明的老板给小明布置了一个任务,希望把应用服务监控起来,以提高应用运行质量.老板的需求有三点: 1.    先以应用服务监控为抓手,能 a)     实时统计应用各类服务的调用次数 b)     基于a,实时统计各类服务各类返回值的次数,如200			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXxy3jp.html" rel="bookmark">如何快速搭建一个装饰公司的网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 朋友拜托我搭建一个装饰公司的网站:很久以前做过asp的网站.当时网站管理还是个技术活,还没有后台管理的说法.只是编写了前段页面.有什么更新都需要程序员完成.所以对现在的网站,有点迷茫,希望听听大家的意见.因为没什么具体需求,只是一个公司的展示网站就可以.有没有通用的代码可以参考?因为涉及到后续维护,简单的程序修改我可以做.资料提交的后台操作,装修公司做.简单易懂的可以考虑收购一个! 解决方案 解决方案二:用一些cms系统加上主题就可以了.解决方案三:我是新手,但我觉得我能为你提供最现实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZONgwb.html" rel="bookmark">PS快速打造一个靓丽文字效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				打开PS,新建文件,本水货这里用的是900X600,跟伯毅狼大神一样的尺寸,设置前景色为#cdcdcd,并填充,打上文字,本渣用的方正粗谭黑,190点,把文字转换成形状,旋转-5度 选择直接选择工具 设置描边颜色为#63e500,描边大小为80点,描边选项对齐设置为外部 现在的效果是 忘了说了,本渣用的是CC,CS6没用过不知道有这功能没,CS5是没有,如果用的低版本PS,到这里就可以洗洗睡了 设置P大点S形状图层的图层样式 复制P大点S形状图层,更改描边颜色为#baff00,描边大小为60点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBmkOM.html" rel="bookmark">30分钟快速打造一个完善的直播聊天系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面的代码基于高性能的通信王牌工具 Netty.我们将一些实际场景都添加进去,比如用户身份的验证,游客只能浏览不能发言,多房间(频道)的聊天. 这篇文章非常适合和我一样的 Java 新手,适合作为学习 Java 的切入点,不需要考虑tomcat.spring.mybatis等.唯一的知识点就是 maven 的基础使用. 完整的代码地址 https://github.com/zhoumengkang/netty-websocket 项目结果如下 ├── WebSocketServer.java 启			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7RB2z.html" rel="bookmark">如何快速实现一个基于Nginx的网站监控场景 &ndash; 操作篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍ARMS如何实现Nginx的监控场景,对于ARMS本文主要解决的问题,还记得小明的老板给他布置的任务吗?需求回顾 1. ARMS的Nginx监控方案概述和准备 目前在监控领域上比较流行的数据处理方法有很多种,例如,搜索引擎,时间序列数据库,实时计算,甚至是大数据离线计算,等. ARMS采用的是实时计算+列式存储.这种方案的优势是数据实时性高,而且对于固定的数据查询接口查询效率非常快.在Nginx的监控方案中,其架构概要如下所示, 蓝色部分为ARMS所集成的Nginx监控开箱即用的黑盒.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6PaQM.html" rel="bookmark">如何两个月打造一个盈利的B2B网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 接触网络已经7年了,行业站也做了好几个了,尝试了几个行业都没有盈利,最后结合自身的优点,因为自己在铸造行业的国家级期刊媒体呆了7年,做了七年的广告主管,毕竟自己在这个行业有一定的客户群,做铸造网应该没有问题,想好了后就开始动手了. 首先,想好域名.域名很重要,一个好的域名能够带来很大的回头客,而且名字好记,客户能一下子记住你.但是马云刚开始做			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z72lBap.html" rel="bookmark">低成本打造一个带宽无限的网站（五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				突破限制 由于 SW 非常强大,因此使用条件也是非常严格的,以免被恶意使用. 例如 SW 必须在 HTTPS 站点上使用.这本是件好事,彻底杜绝了中间人的隐患,但现在却成了一道门槛 -- 毕竟支持 HTTPS 并且域名可控的免费空间,那是极少的. 同时,这还引发了另一个问题:由于 HTTPS 站点是禁止读取 HTTP 数据的,因此我们的节点也必须是 HTTPS 站点! 此外 SW 也得遵守同源策略.如果要读取第三方站点的数据,目标响应头里还得有 Access-Control-Allow-Orig			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyvAvp.html" rel="bookmark" class="title">CSS3 will-change提高页面滚动、动画等渲染性能</a>
					<div>
						一.先来看一个例子 下面这个例子来自某外文,我这里简单转述下. 视差滚动现在不是挺流行的嘛,然后Chris Ruppel当其使用background-attachment: fixed实现背景图片不随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQLmKz.html" rel="bookmark" class="title">Dreamweaver MX 2004 加密FTP</a>
					<div>
						dreamweaver|加密 今天我们来一起看看Dreamweaver MX 2004在加密FTP 传送 方面的新功能. 我们一般在做FTP文件传送的时候,默认情况下传送过程是公开的,即我们FTP的用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvAj6b.html" rel="bookmark" class="title">教程&sol;dreamweaver&sol;高级 深入DREAMWEAVER插件的奥秘&lpar;5&rpar;</a>
					<div>
						dreamweaver|高级|教程 3．Command插件的编写 1. Command插件的简介 Command命令的功能相当强大,可以操作当前文档.所有打开的文档,甚至于所有驱动器上的Html文档, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV3gkb.html" rel="bookmark" class="title">草图工具帮你成为更好的用户体验设计师</a>
					<div>
						Adaptive Path版权所有 作者:Adaptive Path 译者:UCD翻译小组,JunChen 原文地址:http://www.adaptivepath.com/ideas/newslet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdNwAb.html" rel="bookmark" class="title">在ASP&period;NET中使用Treeview控件和XML</a>
					<div>
						asp.net|treeview|xml|控件 以前,在WEB页面中如果想使用树形控件的话,往往会有些麻烦,有时甚至要自己写代码来达到用树形列表显示数据的目的.在asp.net中,我们可以很方便地使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKQdAM.html" rel="bookmark" class="title">使用 XPathValueFetcher 业务规则跟踪 Rational Focal Point 中的项目</a>
					<div>
						Rational Focal Point 中的链接管理 IBM Rational Focal Point 与协作式生命周期管理 (CLM) 应用程序的 Rational 解决方案的集成基于 Linke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4NmAp.html" rel="bookmark" class="title">Objective C从远程url下载图片方法汇总</a>
					<div>
						  本文给大家分享了2则使用Objective C从远程url下载图片的方法,都是个人项目中使用的,汇总下推荐给大家,有需要的小伙伴可以参考下. Objective C从远程url下载图片 ? 1 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4yx7p.html" rel="bookmark" class="title">javascript控制台详解</a>
					<div>
						  本文是写在2011年,主要介绍 &quot;Firefox&quot; 浏览器插件 &quot;Firebug&quot; 的操作,如今主流浏览器对控制台都已经提供了很好的支持.我自己用的最多是谷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91gBKM.html" rel="bookmark" class="title">Win8&period;1系统无法使用IE11上传图片到QQ空间怎么办？</a>
					<div>
						  Win8.1系统无法使用IE11上传图片到QQ空间怎么办?           方案一:取消IE11的保护模式 1.打开IE11浏览器,在右上角点击&quot;设置&quot;,选择&quot;I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZYJqz.html" rel="bookmark" class="title">team怎么退款游戏</a>
					<div>
						  1.在库中点击想要退款的游戏,在游戏界面的右边点击[客服]. 2.然后在出来的选项中点击[与心中的预期有落差]. 3.之后在出来的选项中点击[我想申请退款]. 4.然后就可以选择退款的方式,并在描 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3VWVp.html" rel="bookmark" class="title">使用软媒魔方清理注册表的方法</a>
					<div>
						  1.选中软件,右键单击,选择[打开],单击[应用大全]. 2.单击[清理大师]中的[注册表],然后单击[开始扫描]. 3.扫描完成,发现垃圾,单击[立即清理].					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWm8Kp.html" rel="bookmark" class="title">教你怎么提高网站的收录数量</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 解决网站收录问题是SEO的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRY0vz.html" rel="bookmark" class="title">浅谈创业团队的薪水与待遇</a>
					<div>
						如今,越来越多有想法有干劲的年轻人选择走创业这条路,而创业的风险性在于,对于收入没有一定的保证,也没有一个具体的成功时间,例如,关于创业团队成员的薪水与待遇,似乎一直都是一个敏感话题.一种说法是既然创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrdr8M.html" rel="bookmark" class="title">ios-用户停止UISearchBar输入检测</a>
					<div>
						问题描述 用户停止UISearchBar输入检测 UISearchBar代码: - (void)searchBar:(UISearchBar *)searchBar textDidChange:(NS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm68B3z.html" rel="bookmark" class="title">关于接入网技术完全详解</a>
					<div>
						目前接入网技术应用的非常广泛,可能好多人还不了解接入网技术特点和实际应用,没有关系,看完本文你 肯定有不少收获,希望本文能教会你更多东西.计算机网络技术可以说是当前业界最为热门的技术之一,包含的内容也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVG21b.html" rel="bookmark" class="title">求助  xml 外部实体引用</a>
					<div>
						问题描述 主程序&lt;?xmlversion=&quot;1.0&quot;encoding=&quot;gb2312&quot;?&gt;&lt;!DOCTYPEs[&lt;!ENTITYpart ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRrg3z.html" rel="bookmark" class="title">绿色-看门狗问题请教，谢谢。第一次提问，不懂请教我</a>
					<div>
						问题描述 看门狗问题请教,谢谢.第一次提问,不懂请教我 /*********************************************************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRY68b.html" rel="bookmark" class="title">天猫魔盒违规被查 华数被迫整改</a>
					<div>
						王珍 华数传媒(000156.SZ,下称&quot;华数&quot;)昨天向&lt;第一财经日报&gt;记者书面确认,国家新闻出版广电总局向互联网电视牌照商发函要求立即关闭互联网电视终端产品中违规视频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7VVJp.html" rel="bookmark" class="title">美媒炒作中国网络间谍重点提防中资公司</a>
					<div>
						月31日,中国外交部发言人秦刚在例行的记者招待会上就所谓中国网络间谍系统入侵多国电脑一事答记者问:国外一些人热衷于捏造所谓中国网络间谍的谣言,其说法完全是无中生有.这些人利用谣言抹黑中国的企图决不能得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj3aoM.html" rel="bookmark" class="title">使用Spry轻松将XML数据显示到HTML页的方法&lowbar;XML示例</a>
					<div>
						随着对Dreamweavse cs3中集成Spry功能的深入学习,了解并掌握到Spry框架的一些功能模块,其中就有通过Dreamweavse cs3可视化操作轻松将XML数据显示到HTML页中. 当然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZOknp.html" rel="bookmark" class="title">双系统-开机的引导项无法删除</a>
					<div>
						问题描述 开机的引导项无法删除 电脑开机后会有个多余的引导项.是最后一个win-environment.在msconfig中未显示无法删除.如何删除它? 解决方案 用easybcd或者bcdedit  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZkAep.html" rel="bookmark" class="title">2011年教育行业IT投资将会持续增长</a>
					<div>
						本文讲的是2011年教育行业IT投资将会持续增长,2010年7月,教育部发布了&lt;国家中长期教育改革和发展规划纲要(2010-2020年)&gt;(以下简称&lt;教育规划纲要&gt;),这将为教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkkdvp.html" rel="bookmark" class="title">80004005 及其它错误消息的疑难解答</a>
					<div>
						80004005 及其它错误消息的疑难解答    --------------------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5DVvz.html" rel="bookmark" class="title">云计算的最大问题是安全还是隐私？</a>
					<div>
						  本文讲的是云计算的最大问题是安全还是隐私?[IT168 评论] 近年来,云计算作为IT界最红火的词汇之一,受到各个行业的关注.它不仅为企业发展提供了较大的支持,也成为了信息技术进步的标志之一.然而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmqA2z.html" rel="bookmark" class="title">fragment-Fragment中遇到空指针 请问是什么原因</a>
					<div>
						问题描述 Fragment中遇到空指针 请问是什么原因 解决方案 哈哈,我自己解决了,是因为我在布局里把fragment写成了FrameLayout (⊙﹏⊙)b. 然后又出现 了新的问题:Cause ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWVQPz.html" rel="bookmark" class="title">我在C&num;里面使用UdpClient这个类侦听端口&colon;11000时，如何得到向我发信息人的IP与端口呢</a>
					<div>
						问题描述 我的机器是处在公网,用UdpClient类的Receive()方法来接收信息,但这个方法只能得到信息内容,不能得到信息从哪个IP.端口而来.两台机器都在公网还好做,就把自已的IP打包成数据发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1yKwb.html" rel="bookmark" class="title">律师称团宝后备公司有权使用&OpenCurlyDoubleQuote;团宝&rdquo;字样</a>
					<div>
						[亿邦动力网讯]2月1日消息,有业内人士爆料,称团宝网CEO任春雷曾注册另一家团宝电子商务有限公司,以备团宝网破产后规避债务风险,东山再起之用.为此,亿邦动力网联系到北京尚公律师事务所陈海阳律师,陈海 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GOk3M.html" rel="bookmark" class="title">jquery实现带渐变淡入淡出并向右依次展开的多级菜单效果实例&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery实现带渐变淡入淡出并向右依次展开的多级菜单效果.分享给大家供大家参考.具体如下: 这是一款核心基于jquery的多级导航菜单特效,横向向右依次展开菜单项,当然本菜单并不是完美 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmDXNb.html" rel="bookmark" class="title">邹晓春黄燕虹顺利进入国美电器董事会</a>
					<div>
						新浪科技讯 12月17日午间消息,国美电器今日举行了特别股东大会,通过了国美董事会提交的提议,委任两名由国美控股股东Shinning Crown提名的董事,增加了许可的董事最高人数,从11人增加至13 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GwVPM.html" rel="bookmark" class="title">ajax回调打开新窗体防止浏览器拦截有效方法&lowbar;AJAX相关</a>
					<div>
						ajax回调打开新窗体防止浏览器拦截,就这么做! 问题剖析: function click_fun(){ window.open(&quot;www.baidu.com&quot;);//能打开 $. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
